#ifndef CONST_VOLTAGE_OUTPUT_H_
#define CONST_VOLTAGE_OUTPUT_H_

/**** Includes ****/
#include <stdint.h>
#include "../bsp/ain.h"
#include "../bsp/halfbridge.h"

namespace hw {

/**** Public definitions ****/

class CVoutput
{
	protected:
	bsp::Hafbridge* hbridge;
	bsp::AnalogIn* supply;
	
	public:
	CVoutput(bsp::Hafbridge* hbridge, bsp::AnalogIn* supply_u);
	~CVoutput(void);
	
	uint16_t target;
	uint16_t min_out;
	
	void update(void);
	void enable(void);
	void disable(void);
	uint8_t is_enabled(void);
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* CONST_VOLTAGE_OUTPUT_H_ */